#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(af_alg_register_type, "_gpl", "");
KSYMTAB_FUNC(af_alg_unregister_type, "_gpl", "");
KSYMTAB_FUNC(af_alg_release, "_gpl", "");
KSYMTAB_FUNC(af_alg_release_parent, "_gpl", "");
KSYMTAB_FUNC(af_alg_accept, "_gpl", "");
KSYMTAB_FUNC(af_alg_free_sg, "_gpl", "");
KSYMTAB_FUNC(af_alg_count_tsgl, "_gpl", "");
KSYMTAB_FUNC(af_alg_pull_tsgl, "_gpl", "");
KSYMTAB_FUNC(af_alg_wmem_wakeup, "_gpl", "");
KSYMTAB_FUNC(af_alg_wait_for_data, "_gpl", "");
KSYMTAB_FUNC(af_alg_sendmsg, "_gpl", "");
KSYMTAB_FUNC(af_alg_free_resources, "_gpl", "");
KSYMTAB_FUNC(af_alg_async_cb, "_gpl", "");
KSYMTAB_FUNC(af_alg_poll, "_gpl", "");
KSYMTAB_FUNC(af_alg_alloc_areq, "_gpl", "");
KSYMTAB_FUNC(af_alg_get_rsgl, "_gpl", "");

SYMBOL_CRC(af_alg_register_type, 0x23bc4feb, "_gpl");
SYMBOL_CRC(af_alg_unregister_type, 0xea78cb2a, "_gpl");
SYMBOL_CRC(af_alg_release, 0xf5f7d8a9, "_gpl");
SYMBOL_CRC(af_alg_release_parent, 0xe4fab1d7, "_gpl");
SYMBOL_CRC(af_alg_accept, 0xf98912ff, "_gpl");
SYMBOL_CRC(af_alg_free_sg, 0x634264a9, "_gpl");
SYMBOL_CRC(af_alg_count_tsgl, 0x23d7eb44, "_gpl");
SYMBOL_CRC(af_alg_pull_tsgl, 0xe9ecf442, "_gpl");
SYMBOL_CRC(af_alg_wmem_wakeup, 0xdb72657c, "_gpl");
SYMBOL_CRC(af_alg_wait_for_data, 0xc6df537a, "_gpl");
SYMBOL_CRC(af_alg_sendmsg, 0xe7fa5dd6, "_gpl");
SYMBOL_CRC(af_alg_free_resources, 0x3bf68a65, "_gpl");
SYMBOL_CRC(af_alg_async_cb, 0x27e92408, "_gpl");
SYMBOL_CRC(af_alg_poll, 0x5adba1e7, "_gpl");
SYMBOL_CRC(af_alg_alloc_areq, 0xc28b9fde, "_gpl");
SYMBOL_CRC(af_alg_get_rsgl, 0x61902756, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x57bc19d2, "down_write" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc0e2a384, "kmalloc_caches" },
	{ 0xe5347ccb, "kmalloc_trace" },
	{ 0xce807a25, "up_write" },
	{ 0x37a0cba, "kfree" },
	{ 0xb1050267, "sk_alloc" },
	{ 0x19adc019, "sock_init_data" },
	{ 0xa4beaf9, "unpin_user_page" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x9c48fdaf, "sock_kmalloc" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xa67e6d1f, "extract_iter_to_sg" },
	{ 0xe820d1df, "proto_register" },
	{ 0xfdf468fd, "sock_register" },
	{ 0x8aa9afa5, "proto_unregister" },
	{ 0x668b19a1, "down_read" },
	{ 0x53b954a2, "up_read" },
	{ 0x7f069dda, "try_module_get" },
	{ 0x64f7fc61, "lock_sock_nested" },
	{ 0x8dbce1a0, "release_sock" },
	{ 0x6579a74, "module_put" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6c24de2f, "sk_free" },
	{ 0xda10ec3, "security_sock_graft" },
	{ 0xe06141e9, "security_sk_clone" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xba220db7, "__wake_up_sync_key" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x3120fc01, "sock_wake_async" },
	{ 0xe70eebb, "sock_kfree_s" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x537c1bea, "__folio_put" },
	{ 0xd8981aee, "__put_devmap_managed_page_refs" },
	{ 0x69acdf38, "memcpy" },
	{ 0x4c1c7df7, "pcpu_hot" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x62ef75c0, "_copy_from_iter" },
	{ 0x82f1d6ed, "alloc_pages" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x3a905efd, "iov_iter_revert" },
	{ 0x2c0b0b06, "__free_pages" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x1dc6c93b, "lookup_user_key" },
	{ 0xc959cfec, "key_put" },
	{ 0xe2383806, "sock_kzfree_s" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4f823b81, "sock_no_connect" },
	{ 0xb8cc0d2e, "sock_no_socketpair" },
	{ 0x6058f95a, "sock_no_getname" },
	{ 0x93d079f0, "sock_no_ioctl" },
	{ 0x7fd9314c, "sock_no_listen" },
	{ 0x9d15ba88, "sock_no_shutdown" },
	{ 0xe6e3bc11, "sock_no_sendmsg" },
	{ 0x7fed1ca6, "sock_no_recvmsg" },
	{ 0x7894c5d6, "sock_no_mmap" },
	{ 0xd09a243b, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "CBBE1DB40D3D6641CEA3F01");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
