#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x170dc395, "phy_stop" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xae1319b9, "__netdev_alloc_skb" },
	{ 0xd3bd62be, "skb_put" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0x523a96f8, "eth_type_trans" },
	{ 0x87690a82, "netif_receive_skb" },
	{ 0xc4157c5, "_dev_err" },
	{ 0xcbdd7b35, "netif_tx_wake_queue" },
	{ 0x23b200cf, "napi_complete_done" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xab91fc6d, "_dev_warn" },
	{ 0x75edf056, "napi_schedule_prep" },
	{ 0x50b7d10, "__napi_schedule" },
	{ 0x7333f392, "__dynamic_dev_dbg" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xb9bd4bd1, "consume_skb" },
	{ 0x8509454a, "skb_tstamp_tx" },
	{ 0x30e183e, "__skb_pad" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xa53a2e89, "napi_enable" },
	{ 0xc63df5cd, "phy_start" },
	{ 0x262a517d, "_dev_info" },
	{ 0x4c1c7df7, "pcpu_hot" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xbe566b37, "alloc_etherdev_mqs" },
	{ 0xb3681719, "platform_get_resource" },
	{ 0x77358855, "iomem_resource" },
	{ 0x11a28b11, "__devm_request_region" },
	{ 0x69a619b0, "platform_get_irq" },
	{ 0xb81e989f, "devm_ioremap" },
	{ 0x937fcdca, "dmam_alloc_attrs" },
	{ 0xb20bd3ab, "devm_kmalloc" },
	{ 0x696d34b4, "mdiobus_alloc_size" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x15904a46, "__mdiobus_register" },
	{ 0xca6d8801, "phy_connect_direct" },
	{ 0xed866558, "phy_set_max_speed" },
	{ 0x61e7a9b0, "netif_napi_add_weight" },
	{ 0xf67d4336, "register_netdev" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xe6b970d6, "devm_clk_get" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x815588a6, "clk_enable" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0xbf65691b, "phy_find_first" },
	{ 0x53dc3c64, "dev_err_probe" },
	{ 0xbf99742f, "phy_ethtool_nway_reset" },
	{ 0x5b2c7550, "ethtool_op_get_link" },
	{ 0xeb05aa4e, "ethtool_op_get_ts_info" },
	{ 0x935a325f, "phy_ethtool_get_link_ksettings" },
	{ 0x3187191a, "phy_ethtool_set_link_ksettings" },
	{ 0xd57bef2a, "param_ops_int" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x78050af4, "__platform_driver_register" },
	{ 0x22575093, "__netif_napi_del" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x2b3c243e, "phy_disconnect" },
	{ 0xad039f9f, "mdiobus_unregister" },
	{ 0xed34f5df, "mdiobus_free" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xa33b55e9, "unregister_netdev" },
	{ 0x17251662, "free_netdev" },
	{ 0xdb876d0, "mdiobus_get_phy" },
	{ 0xf726bf2, "phy_mii_ioctl" },
	{ 0x7cd18e01, "platform_driver_unregister" },
	{ 0x9bb4e317, "ioread32be" },
	{ 0xa78af5f3, "ioread32" },
	{ 0xe419bc99, "iowrite32be" },
	{ 0x4a453f53, "iowrite32" },
	{ 0xe6650b28, "dev_addr_mod" },
	{ 0x31012376, "phy_print_status" },
	{ 0x80c2336a, "napi_disable" },
	{ 0xd09a243b, "module_layout" },
};

MODULE_INFO(depends, "libphy");

MODULE_ALIAS("of:N*T*Copencores,ethoc");
MODULE_ALIAS("of:N*T*Copencores,ethocC*");

MODULE_INFO(srcversion, "83AA2B7EBBFFAE9319D3EA3");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
