#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(i40e_client_device_register, "_gpl", "");
KSYMTAB_FUNC(i40e_client_device_unregister, "_gpl", "");

SYMBOL_CRC(i40e_client_device_register, 0x99b9cf41, "_gpl");
SYMBOL_CRC(i40e_client_device_unregister, 0xbb28804d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xca416750, "netif_set_real_num_rx_queues" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xdcbe8315, "dma_alloc_attrs" },
	{ 0xb26cfced, "debugfs_remove" },
	{ 0xa29add21, "pci_read_config_word" },
	{ 0xa53a2e89, "napi_enable" },
	{ 0x5a921311, "strncmp" },
	{ 0x54e1e804, "xsk_clear_rx_need_wakeup" },
	{ 0x365acda7, "set_normalized_timespec64" },
	{ 0x1ea3acdb, "dcbnl_ieee_notify" },
	{ 0x7cc53220, "xsk_uses_need_wakeup" },
	{ 0xf67d4336, "register_netdev" },
	{ 0x6ed4c224, "trace_event_reg" },
	{ 0xffb7c514, "ida_free" },
	{ 0x17251662, "free_netdev" },
	{ 0xaa29dfb, "xsk_get_pool_from_qid" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0xcd279169, "nla_find" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xa00aca2a, "dql_completed" },
	{ 0xde80cd09, "ioremap" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x5b2c7550, "ethtool_op_get_link" },
	{ 0xf58df0d7, "eth_platform_get_mac_address" },
	{ 0xf9096953, "netif_set_xps_queue" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x7c85295c, "__SCK__tp_func_xdp_exception" },
	{ 0xf503f287, "netif_tx_stop_all_queues" },
	{ 0x51280cf2, "pci_restore_state" },
	{ 0xcbdd7b35, "netif_tx_wake_queue" },
	{ 0x2242087e, "device_del" },
	{ 0x9d684c15, "netdev_set_sb_channel" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x5d2f8db9, "dma_sync_single_for_cpu" },
	{ 0xee73e6fe, "dcb_getapp" },
	{ 0x5338184f, "ethtool_sprintf" },
	{ 0xfb578fc5, "memset" },
	{ 0xab91fc6d, "_dev_warn" },
	{ 0xff5e430b, "flow_rule_match_ports" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xec6775b, "ptp_clock_event" },
	{ 0xd0a2168e, "netif_schedule_queue" },
	{ 0x6d19a161, "__alloc_pages" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x7b2e06ad, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xca9a0481, "flow_rule_match_ipv6_addrs" },
	{ 0x35b5ad33, "netdev_set_tc_queue" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x641097ad, "ptp_clock_unregister" },
	{ 0xb0039658, "__pskb_pull_tail" },
	{ 0x78725c79, "xp_dma_unmap" },
	{ 0xb5bfefdf, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x5ca2d218, "netdev_unbind_sb_channel" },
	{ 0xd6b771d4, "dma_set_coherent_mask" },
	{ 0xb08c458f, "bpf_trace_run3" },
	{ 0xc5f0d9f1, "__page_frag_cache_drain" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0xccb8d865, "ipv6_find_hdr" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xd5488296, "netdev_bind_sb_channel_queue" },
	{ 0xdd64e639, "strscpy" },
	{ 0xa3fa23b5, "debugfs_create_file" },
	{ 0x64fe9c9d, "xsk_set_tx_need_wakeup" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x31e8b73, "netdev_reset_tc" },
	{ 0x4b7c8097, "dma_free_attrs" },
	{ 0x132e515b, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xba609f1e, "call_netdevice_notifiers" },
	{ 0xd01027a1, "xp_set_rxq_info" },
	{ 0x87fd3b88, "flow_rule_match_vlan" },
	{ 0xef12297c, "xdp_rxq_info_unreg" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x50483524, "napi_build_skb" },
	{ 0x5ade06d3, "__xdp_rxq_info_reg" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x9cffcfb7, "netif_carrier_off" },
	{ 0xce3a6710, "__hw_addr_sync_dev" },
	{ 0x35872506, "pci_disable_sriov" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xc2541e84, "netif_carrier_on" },
	{ 0xabf52d30, "netdev_set_num_tc" },
	{ 0x4ea25709, "dql_reset" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0x3fb30366, "pci_disable_msix" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x46c4cbd1, "dev_uc_add_excl" },
	{ 0x3ade6d76, "pci_disable_device" },
	{ 0x6393a089, "xp_free" },
	{ 0xa54ef237, "dev_mc_add_excl" },
	{ 0xcecfdcef, "dev_uc_add" },
	{ 0x9a73cfa1, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x46be91d1, "_dev_crit" },
	{ 0xe5347ccb, "kmalloc_trace" },
	{ 0x52580b6b, "xdp_master_redirect" },
	{ 0xfd78bdf5, "__napi_schedule_irqoff" },
	{ 0x75edf056, "napi_schedule_prep" },
	{ 0x5e500ecc, "napi_consume_skb" },
	{ 0x9ba8693, "pci_read_config_byte" },
	{ 0x75c46f46, "xp_alloc_batch" },
	{ 0x80c2336a, "napi_disable" },
	{ 0x950a4bde, "dev_kfree_skb_any_reason" },
	{ 0xd88a3d2f, "dcb_ieee_delapp" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x349cba85, "strchr" },
	{ 0xb6c3bf3f, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x3301d007, "flow_rule_match_control" },
	{ 0x5290678a, "pci_enable_sriov" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0xcd061ba6, "dcb_ieee_setapp" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb05aa4e, "ethtool_op_get_ts_info" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xc0e2a384, "kmalloc_caches" },
	{ 0x580de8ba, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x994713db, "__tracepoint_xdp_exception" },
	{ 0xb263f30b, "xsk_tx_completed" },
	{ 0xbe566b37, "alloc_etherdev_mqs" },
	{ 0xc2c0e923, "pci_save_state" },
	{ 0x33d48500, "xp_dma_sync_for_device_slow" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0xa1d190e5, "pcie_capability_read_word" },
	{ 0x498da2ee, "device_set_wakeup_enable" },
	{ 0x30e183e, "__skb_pad" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x3b74047b, "flow_rule_match_enc_keyid" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xbdc648fc, "pci_find_ext_capability" },
	{ 0x41af6969, "bpf_prog_put" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x7a63940c, "xp_dma_map" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x99e675e1, "skb_copy_bits" },
	{ 0xc5a381b0, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xafbfea4, "pci_request_selected_regions" },
	{ 0x289d3652, "pci_release_selected_regions" },
	{ 0x1d8918b8, "pci_wake_from_d3" },
	{ 0x8509454a, "skb_tstamp_tx" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x412b284d, "__napi_alloc_skb" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x392f9762, "auxiliary_device_init" },
	{ 0x4f38cc79, "pci_enable_device_mem" },
	{ 0xb9bd4bd1, "consume_skb" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0x61e7a9b0, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xe0c3c273, "xsk_tx_peek_release_desc_batch" },
	{ 0x6183cba5, "pci_vfs_assigned" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd39c048d, "trace_raw_output_prep" },
	{ 0x58f9b0b0, "bpf_warn_invalid_xdp_action" },
	{ 0xb6747567, "ndo_dflt_bridge_getlink" },
	{ 0xa33b55e9, "unregister_netdev" },
	{ 0x557d8fe8, "xdp_convert_zc_to_xdp_frame" },
	{ 0xe3f3f0d7, "xdp_features_set_redirect_target" },
	{ 0x7045dd2a, "__trace_trigger_soft_disabled" },
	{ 0xe354aa0a, "pci_get_device" },
	{ 0x1e39ca0c, "dma_unmap_page_attrs" },
	{ 0x46eb6985, "request_firmware" },
	{ 0x1147710, "trace_event_printf" },
	{ 0x9a58dd2d, "trace_print_bitmask_seq" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xf7370f56, "system_state" },
	{ 0x11ce53a0, "__pci_register_driver" },
	{ 0x425f4bc0, "dma_sync_single_for_device" },
	{ 0xedc03953, "iounmap" },
	{ 0x9a930793, "pci_num_vf" },
	{ 0xecdb2891, "flow_rule_match_eth_addrs" },
	{ 0xa791c182, "skb_add_rx_frag" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x8c998bfb, "pci_disable_msi" },
	{ 0x64c9db70, "ptp_clock_index" },
	{ 0x98046b17, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x4c1c7df7, "pcpu_hot" },
	{ 0x2305446, "xdp_do_redirect" },
	{ 0xcbf66323, "eth_validate_addr" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xb77e077a, "bpf_trace_run2" },
	{ 0x74729a85, "netdev_warn" },
	{ 0x8241ffe1, "udp_tunnel_nic_ops" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x6fee57b9, "pci_set_power_state" },
	{ 0x148653, "vsnprintf" },
	{ 0xa31a958, "flow_rule_match_ipv4_addrs" },
	{ 0x22575093, "__netif_napi_del" },
	{ 0xe95daec6, "bpf_trace_run8" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x7333f392, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x326b7806, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0x9d642782, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x35859f17, "pskb_expand_head" },
	{ 0x32cc3731, "dev_driver_string" },
	{ 0x43edfca9, "pci_restore_msi_state" },
	{ 0x9e018bd0, "trace_event_buffer_commit" },
	{ 0xe6650b28, "dev_addr_mod" },
	{ 0x317f7724, "xdp_rxq_info_reg_mem_model" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x5296ef30, "ptp_find_pin" },
	{ 0x523a96f8, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x96965a03, "dma_map_page_attrs" },
	{ 0x8735ed3d, "irq_set_affinity_notifier" },
	{ 0x23b200cf, "napi_complete_done" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xb6e417f8, "skb_checksum_help" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xfd639f29, "put_device" },
	{ 0x50b7d10, "__napi_schedule" },
	{ 0x9219b48d, "ipv6_skip_exthdr" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xabc5622d, "pci_enable_msix_range" },
	{ 0x40ad983, "xsk_set_rx_need_wakeup" },
	{ 0xa916b694, "strnlen" },
	{ 0x618911fc, "numa_node" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x2c0b0b06, "__free_pages" },
	{ 0xc36655b3, "__hw_addr_unsync_dev" },
	{ 0x262a517d, "_dev_info" },
	{ 0xca4341cf, "napi_gro_receive" },
	{ 0x223a7ffc, "xdp_features_clear_redirect_target" },
	{ 0x24ea5aa0, "pci_select_bars" },
	{ 0x32ea99d8, "netdev_pick_tx" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xbd8eb0a8, "xp_raw_get_dma" },
	{ 0x1b9276f5, "eth_get_headlen" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xc09e941f, "xdp_rxq_info_is_reg" },
	{ 0xd1479da8, "flow_block_cb_setup_simple" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x72209a50, "flow_rule_match_basic" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xc8a91f5b, "cpumask_local_spread" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xfdce6e03, "pci_enable_msi" },
	{ 0xc308e126, "perf_trace_run_bpf_submit" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0xc4157c5, "_dev_err" },
	{ 0x291ba942, "softnet_data" },
	{ 0x76d2c4db, "simple_open" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x1c12c32, "cpu_bit_bitmap" },
	{ 0x4fef5344, "xdp_return_frame" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xb7745a91, "ptp_clock_register" },
	{ 0x5cd2ddf3, "ethtool_intersect_link_masks" },
	{ 0x530ad565, "xp_dma_sync_for_cpu_slow" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x574e4a3b, "netif_set_real_num_tx_queues" },
	{ 0x3b53ba1b, "__auxiliary_device_add" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0xd09a243b, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v00008086d00001572sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001574sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001580sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001581sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001583sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001584sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001585sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000DD2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001586sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001589sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015FFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000104Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000104Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000037CEsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000037CFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000037D0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000037D1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000037D2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000037D3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000DDAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001587sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001588sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000CF8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000D58sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000158Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000158Bsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "FC508EAD48A2E96354D702F");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
