#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(fc_get_event_number, "", "");
KSYMTAB_FUNC(fc_host_post_fc_event, "", "");
KSYMTAB_FUNC(fc_host_post_event, "", "");
KSYMTAB_FUNC(fc_host_post_vendor_event, "", "");
KSYMTAB_FUNC(fc_find_rport_by_wwpn, "", "");
KSYMTAB_FUNC(fc_host_fpin_rcv, "", "");
KSYMTAB_FUNC(scsi_is_fc_rport, "", "");
KSYMTAB_FUNC(fc_eh_timed_out, "", "");
KSYMTAB_FUNC(fc_attach_transport, "", "");
KSYMTAB_FUNC(fc_release_transport, "", "");
KSYMTAB_FUNC(fc_remove_host, "", "");
KSYMTAB_FUNC(fc_remote_port_add, "", "");
KSYMTAB_FUNC(fc_remote_port_delete, "", "");
KSYMTAB_FUNC(fc_remote_port_rolechg, "", "");
KSYMTAB_FUNC(fc_block_rport, "", "");
KSYMTAB_FUNC(fc_block_scsi_eh, "", "");
KSYMTAB_FUNC(fc_eh_should_retry_cmd, "_gpl", "");
KSYMTAB_FUNC(fc_vport_create, "", "");
KSYMTAB_FUNC(fc_vport_terminate, "", "");

SYMBOL_CRC(fc_get_event_number, 0x375f8bbd, "");
SYMBOL_CRC(fc_host_post_fc_event, 0x21c4b09a, "");
SYMBOL_CRC(fc_host_post_event, 0x9de20795, "");
SYMBOL_CRC(fc_host_post_vendor_event, 0xa03f06bd, "");
SYMBOL_CRC(fc_find_rport_by_wwpn, 0xbc7a7a1c, "");
SYMBOL_CRC(fc_host_fpin_rcv, 0x653f8515, "");
SYMBOL_CRC(scsi_is_fc_rport, 0xb366ea8b, "");
SYMBOL_CRC(fc_eh_timed_out, 0xd3086b44, "");
SYMBOL_CRC(fc_attach_transport, 0x5e69861a, "");
SYMBOL_CRC(fc_release_transport, 0xb5d8ba84, "");
SYMBOL_CRC(fc_remove_host, 0x239e3f06, "");
SYMBOL_CRC(fc_remote_port_add, 0x94ffd1da, "");
SYMBOL_CRC(fc_remote_port_delete, 0x870b7035, "");
SYMBOL_CRC(fc_remote_port_rolechg, 0xa3a9febe, "");
SYMBOL_CRC(fc_block_rport, 0x5025d952, "");
SYMBOL_CRC(fc_block_scsi_eh, 0xe0e7d1f5, "");
SYMBOL_CRC(fc_eh_should_retry_cmd, 0x50802871, "_gpl");
SYMBOL_CRC(fc_vport_create, 0xcdbfb10c, "");
SYMBOL_CRC(fc_vport_terminate, 0x35821b24, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1eb7abfe, "__scsi_init_queue" },
	{ 0x26182b83, "blk_queue_rq_timeout" },
	{ 0xc4157c5, "_dev_err" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xfbc292da, "attribute_container_unregister" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x2f3ead74, "scsi_host_get" },
	{ 0xe72f81b1, "device_initialize" },
	{ 0xf75c42d1, "get_device" },
	{ 0x482c9458, "dev_set_name" },
	{ 0x6d0fac66, "transport_setup_device" },
	{ 0x8bd23e9b, "device_add" },
	{ 0xfa282dab, "transport_add_device" },
	{ 0x4dc67b8e, "transport_configure_device" },
	{ 0xfc1a559f, "sysfs_create_link" },
	{ 0xc0e2a384, "kmalloc_caches" },
	{ 0xe5347ccb, "kmalloc_trace" },
	{ 0x7a1b32a4, "attribute_container_register" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x13f23a43, "scsi_flush_work" },
	{ 0xd84d9258, "bsg_remove_queue" },
	{ 0x983d8f18, "scsi_target_unblock" },
	{ 0xb5110017, "scsi_remove_target" },
	{ 0xf9a482f9, "msleep" },
	{ 0x362f7ab9, "scsi_is_target_device" },
	{ 0xb6736eb2, "scsi_block_targets" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xc2a164d4, "scsi_queue_work" },
	{ 0x638d08f, "blk_mq_run_hw_queues" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x7e4b9eb, "bsg_job_get" },
	{ 0xa4ea915d, "blk_mq_end_request" },
	{ 0x194557e4, "bsg_job_put" },
	{ 0x6ea22133, "bsg_job_done" },
	{ 0xc5a381b0, "param_ops_uint" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xfd639f29, "put_device" },
	{ 0x37a0cba, "kfree" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x5a921311, "strncmp" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xab6d5b3b, "hex_to_bin" },
	{ 0xaf63c9bc, "scsi_scan_target" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x122c3a7e, "_printk" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x5534fb42, "scsi_host_put" },
	{ 0xee2002ba, "sysfs_remove_link" },
	{ 0xe04d378a, "transport_remove_device" },
	{ 0x2242087e, "device_del" },
	{ 0xfc155a2e, "transport_destroy_device" },
	{ 0x3cde31ce, "_dev_printk" },
	{ 0xfc0b6cb6, "transport_class_register" },
	{ 0xad89102a, "transport_class_unregister" },
	{ 0x1199499b, "scsi_nl_sock" },
	{ 0xdd5518c6, "__alloc_skb" },
	{ 0xedd0d887, "__nlmsg_put" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x69acdf38, "memcpy" },
	{ 0xfb578fc5, "memset" },
	{ 0x726870ea, "netlink_broadcast" },
	{ 0x7de914b5, "kfree_skb_reason" },
	{ 0xc3414d46, "scsi_is_host_device" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x953e34d7, "bsg_setup_queue" },
	{ 0xd09a243b, "module_layout" },
};

MODULE_INFO(depends, "scsi_mod");


MODULE_INFO(srcversion, "E7EE9F8EC3E8D124BAFCB53");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
