#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sas_remove_children, "", "");
KSYMTAB_FUNC(sas_remove_host, "", "");
KSYMTAB_FUNC(sas_get_address, "", "");
KSYMTAB_FUNC(sas_tlr_supported, "_gpl", "");
KSYMTAB_FUNC(sas_disable_tlr, "_gpl", "");
KSYMTAB_FUNC(sas_enable_tlr, "_gpl", "");
KSYMTAB_FUNC(sas_is_tlr_enabled, "_gpl", "");
KSYMTAB_FUNC(sas_ata_ncq_prio_supported, "_gpl", "");
KSYMTAB_FUNC(sas_phy_alloc, "", "");
KSYMTAB_FUNC(sas_phy_add, "", "");
KSYMTAB_FUNC(sas_phy_free, "", "");
KSYMTAB_FUNC(sas_phy_delete, "", "");
KSYMTAB_FUNC(scsi_is_sas_phy, "", "");
KSYMTAB_FUNC(sas_port_alloc, "", "");
KSYMTAB_FUNC(sas_port_alloc_num, "", "");
KSYMTAB_FUNC(sas_port_add, "", "");
KSYMTAB_FUNC(sas_port_free, "", "");
KSYMTAB_FUNC(sas_port_delete, "", "");
KSYMTAB_FUNC(scsi_is_sas_port, "", "");
KSYMTAB_FUNC(sas_port_get_phy, "", "");
KSYMTAB_FUNC(sas_port_add_phy, "", "");
KSYMTAB_FUNC(sas_port_delete_phy, "", "");
KSYMTAB_FUNC(sas_port_mark_backlink, "", "");
KSYMTAB_FUNC(sas_read_port_mode_page, "", "");
KSYMTAB_FUNC(sas_end_device_alloc, "", "");
KSYMTAB_FUNC(sas_expander_alloc, "", "");
KSYMTAB_FUNC(sas_rphy_add, "", "");
KSYMTAB_FUNC(sas_rphy_free, "", "");
KSYMTAB_FUNC(sas_rphy_delete, "", "");
KSYMTAB_FUNC(sas_rphy_unlink, "", "");
KSYMTAB_FUNC(sas_rphy_remove, "", "");
KSYMTAB_FUNC(scsi_is_sas_rphy, "", "");
KSYMTAB_FUNC(sas_attach_transport, "", "");
KSYMTAB_FUNC(sas_release_transport, "", "");

SYMBOL_CRC(sas_remove_children, 0x045eb020, "");
SYMBOL_CRC(sas_remove_host, 0xe53b4112, "");
SYMBOL_CRC(sas_get_address, 0xa2ab1856, "");
SYMBOL_CRC(sas_tlr_supported, 0x3ac314eb, "_gpl");
SYMBOL_CRC(sas_disable_tlr, 0x0d0da091, "_gpl");
SYMBOL_CRC(sas_enable_tlr, 0x304f1069, "_gpl");
SYMBOL_CRC(sas_is_tlr_enabled, 0x1ada2cf1, "_gpl");
SYMBOL_CRC(sas_ata_ncq_prio_supported, 0xce066d53, "_gpl");
SYMBOL_CRC(sas_phy_alloc, 0xe9568bce, "");
SYMBOL_CRC(sas_phy_add, 0xf01dbd54, "");
SYMBOL_CRC(sas_phy_free, 0xcd164f15, "");
SYMBOL_CRC(sas_phy_delete, 0xb83736d9, "");
SYMBOL_CRC(scsi_is_sas_phy, 0xf5de2e0a, "");
SYMBOL_CRC(sas_port_alloc, 0x3259fdb0, "");
SYMBOL_CRC(sas_port_alloc_num, 0x583ff0ff, "");
SYMBOL_CRC(sas_port_add, 0x61bde48b, "");
SYMBOL_CRC(sas_port_free, 0x039325d0, "");
SYMBOL_CRC(sas_port_delete, 0x02096013, "");
SYMBOL_CRC(scsi_is_sas_port, 0xcbdeaf0c, "");
SYMBOL_CRC(sas_port_get_phy, 0x2bd6f45d, "");
SYMBOL_CRC(sas_port_add_phy, 0xb265939e, "");
SYMBOL_CRC(sas_port_delete_phy, 0x5e65c9bb, "");
SYMBOL_CRC(sas_port_mark_backlink, 0x5babd526, "");
SYMBOL_CRC(sas_read_port_mode_page, 0xfd998d45, "");
SYMBOL_CRC(sas_end_device_alloc, 0xa0c36d72, "");
SYMBOL_CRC(sas_expander_alloc, 0xf8cd3b1b, "");
SYMBOL_CRC(sas_rphy_add, 0x98fee896, "");
SYMBOL_CRC(sas_rphy_free, 0x212db3b4, "");
SYMBOL_CRC(sas_rphy_delete, 0x6b7fdc38, "");
SYMBOL_CRC(sas_rphy_unlink, 0x96dcff60, "");
SYMBOL_CRC(sas_rphy_remove, 0xaf12519e, "");
SYMBOL_CRC(scsi_is_sas_rphy, 0x2e7c8cd8, "");
SYMBOL_CRC(sas_attach_transport, 0x91c884b8, "");
SYMBOL_CRC(sas_release_transport, 0xde5ca545, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc0e2a384, "kmalloc_caches" },
	{ 0xe5347ccb, "kmalloc_trace" },
	{ 0x7a1b32a4, "attribute_container_register" },
	{ 0x2cdde1ff, "scsi_get_vpd_page" },
	{ 0x854f7a5e, "scsi_mode_sense" },
	{ 0xfbc292da, "attribute_container_unregister" },
	{ 0xd107f035, "scsi_remove_host" },
	{ 0xd84d9258, "bsg_remove_queue" },
	{ 0xb5110017, "scsi_remove_target" },
	{ 0xc3414d46, "scsi_is_host_device" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xab91fc6d, "_dev_warn" },
	{ 0x6ea22133, "bsg_job_done" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x26edd9a2, "dma_opt_mapping_size" },
	{ 0xe72f81b1, "device_initialize" },
	{ 0x482c9458, "dev_set_name" },
	{ 0x6d0fac66, "transport_setup_device" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x54f0bdc2, "device_for_each_child" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xfd639f29, "put_device" },
	{ 0x37a0cba, "kfree" },
	{ 0x8bd23e9b, "device_add" },
	{ 0xfa282dab, "transport_add_device" },
	{ 0x4dc67b8e, "transport_configure_device" },
	{ 0x2242087e, "device_del" },
	{ 0xfc155a2e, "transport_destroy_device" },
	{ 0xe04d378a, "transport_remove_device" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xf75c42d1, "get_device" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xee2002ba, "sysfs_remove_link" },
	{ 0xfc1a559f, "sysfs_create_link" },
	{ 0x122c3a7e, "_printk" },
	{ 0x3cde31ce, "_dev_printk" },
	{ 0xaf63c9bc, "scsi_scan_target" },
	{ 0x953e34d7, "bsg_setup_queue" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x754d539c, "strlen" },
	{ 0x5a921311, "strncmp" },
	{ 0xfc0b6cb6, "transport_class_register" },
	{ 0xad89102a, "transport_class_unregister" },
	{ 0xd09a243b, "module_layout" },
};

MODULE_INFO(depends, "scsi_mod");


MODULE_INFO(srcversion, "082852696E06971446548D5");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
