#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(fat_search_long, "_gpl", "");
KSYMTAB_FUNC(fat_get_dotdot_entry, "_gpl", "");
KSYMTAB_FUNC(fat_dir_empty, "_gpl", "");
KSYMTAB_FUNC(fat_scan, "_gpl", "");
KSYMTAB_FUNC(fat_remove_entries, "_gpl", "");
KSYMTAB_FUNC(fat_alloc_new_dir, "_gpl", "");
KSYMTAB_FUNC(fat_add_entries, "_gpl", "");
KSYMTAB_FUNC(fat_free_clusters, "_gpl", "");
KSYMTAB_FUNC(fat_getattr, "_gpl", "");
KSYMTAB_FUNC(fat_setattr, "_gpl", "");
KSYMTAB_FUNC(fat_attach, "_gpl", "");
KSYMTAB_FUNC(fat_detach, "_gpl", "");
KSYMTAB_FUNC(fat_build_inode, "_gpl", "");
KSYMTAB_FUNC(fat_sync_inode, "_gpl", "");
KSYMTAB_FUNC(fat_fill_super, "_gpl", "");
KSYMTAB_FUNC(fat_flush_inodes, "_gpl", "");
KSYMTAB_FUNC(__fat_fs_error, "_gpl", "");
KSYMTAB_FUNC(fat_time_fat2unix, "_gpl", "");
KSYMTAB_FUNC(fat_time_unix2fat, "_gpl", "");
KSYMTAB_FUNC(fat_truncate_time, "_gpl", "");
KSYMTAB_FUNC(fat_update_time, "_gpl", "");

SYMBOL_CRC(fat_search_long, 0x3eb8f92c, "_gpl");
SYMBOL_CRC(fat_get_dotdot_entry, 0x9865c24e, "_gpl");
SYMBOL_CRC(fat_dir_empty, 0x790d53f4, "_gpl");
SYMBOL_CRC(fat_scan, 0x93558911, "_gpl");
SYMBOL_CRC(fat_remove_entries, 0xd4a27163, "_gpl");
SYMBOL_CRC(fat_alloc_new_dir, 0xe1813387, "_gpl");
SYMBOL_CRC(fat_add_entries, 0x050fb200, "_gpl");
SYMBOL_CRC(fat_free_clusters, 0xcc01cc09, "_gpl");
SYMBOL_CRC(fat_getattr, 0x75730087, "_gpl");
SYMBOL_CRC(fat_setattr, 0x72fcf13a, "_gpl");
SYMBOL_CRC(fat_attach, 0x643d06e9, "_gpl");
SYMBOL_CRC(fat_detach, 0xbc590160, "_gpl");
SYMBOL_CRC(fat_build_inode, 0x3ee18c63, "_gpl");
SYMBOL_CRC(fat_sync_inode, 0x7160db04, "_gpl");
SYMBOL_CRC(fat_fill_super, 0x1eae1902, "_gpl");
SYMBOL_CRC(fat_flush_inodes, 0xec7f1bc6, "_gpl");
SYMBOL_CRC(__fat_fs_error, 0x182443ee, "_gpl");
SYMBOL_CRC(fat_time_fat2unix, 0x61b2ce62, "_gpl");
SYMBOL_CRC(fat_time_unix2fat, 0xba75229a, "_gpl");
SYMBOL_CRC(fat_truncate_time, 0x50d831d8, "_gpl");
SYMBOL_CRC(fat_update_time, 0x2083d0fd, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb81ef9c2, "load_nls" },
	{ 0x4c721787, "generic_cont_expand_simple" },
	{ 0xeefc197e, "make_kuid" },
	{ 0xa11752df, "truncate_inode_pages_final" },
	{ 0xea7b0181, "generic_file_mmap" },
	{ 0x16718fa, "sync_mapping_buffers" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xd609610e, "ilookup" },
	{ 0x74127bc, "kmem_cache_alloc" },
	{ 0x923e23d, "invalidate_inode_buffers" },
	{ 0x87ba3264, "blk_finish_plug" },
	{ 0xc6cbbc89, "capable" },
	{ 0x58eb1346, "mnt_drop_write_file" },
	{ 0x3ab753d1, "inode_init_once" },
	{ 0x946826b6, "compat_ptr_ioctl" },
	{ 0x363f53bd, "__fsnotify_parent" },
	{ 0xfe5d4bb2, "sys_tz" },
	{ 0xe0cf5f4, "__brelse" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0x5eb66935, "generic_file_read_iter" },
	{ 0x2cec1922, "inode_maybe_inc_iversion" },
	{ 0x4e3567f7, "match_int" },
	{ 0x16c80aa4, "truncate_pagecache" },
	{ 0xe86faa2, "sync_dirty_buffer" },
	{ 0xa410b101, "setattr_copy" },
	{ 0x3958f0f1, "__wait_on_buffer" },
	{ 0x458e9ad1, "set_nlink" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xc3aaf0a9, "__put_user_1" },
	{ 0xbd2cf3ff, "kmem_cache_free" },
	{ 0x93605e9a, "vfsgid_in_group_p" },
	{ 0x5a921311, "strncmp" },
	{ 0x805d831d, "mpage_writepages" },
	{ 0xf1e046cc, "panic" },
	{ 0xcebbadb1, "from_vfsgid" },
	{ 0xe1e04759, "write_inode_now" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ade6c9c, "d_obtain_alias" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x54736308, "__bread_gfp" },
	{ 0xa962d6ed, "block_dirty_folio" },
	{ 0xba809f4a, "mpage_read_folio" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0xe0aded20, "__insert_inode_hash" },
	{ 0x4af13a7c, "buffer_migrate_folio" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x2c6296dd, "make_kgid" },
	{ 0xb473ea65, "from_kgid_munged" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0x1722fecc, "truncate_setsize" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3b3bccb1, "unlock_buffer" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xcbdc5e13, "igrab" },
	{ 0x117557d4, "__getblk_gfp" },
	{ 0x5502cde3, "generic_read_dir" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xa1a57097, "mpage_readahead" },
	{ 0x80dba86e, "filemap_fdatawait_range" },
	{ 0x3096be16, "names_cachep" },
	{ 0xfbf3fa73, "init_user_ns" },
	{ 0x44e9a829, "match_token" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xb6ca0fce, "seq_printf" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xabf32f29, "utf16s_to_utf8s" },
	{ 0xae26b635, "__lock_buffer" },
	{ 0xfff5afc, "time64_to_tm" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xacf4d843, "match_strdup" },
	{ 0x13f6c5c3, "blkdev_issue_flush" },
	{ 0x4eef93ee, "seq_puts" },
	{ 0xace77dfa, "generic_fh_to_parent" },
	{ 0x539e31ff, "filemap_splice_read" },
	{ 0x815b5dd4, "match_octal" },
	{ 0xc1c274b8, "from_kuid_munged" },
	{ 0xe5347ccb, "kmalloc_trace" },
	{ 0xb7858d9c, "__generic_file_fsync" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x24c433a4, "kmem_cache_alloc_lru" },
	{ 0x68a16f43, "__mark_inode_dirty" },
	{ 0x2691e922, "generic_file_llseek" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x82ce18bd, "unload_nls" },
	{ 0x53b954a2, "up_read" },
	{ 0xe11037e4, "mark_buffer_dirty_inode" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x24c09f83, "sb_min_blocksize" },
	{ 0x7129e5f8, "hex_asc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xc0e2a384, "kmalloc_caches" },
	{ 0x323f4369, "kmem_cache_destroy" },
	{ 0x46628d0e, "blkdev_issue_discard" },
	{ 0x23acf300, "filemap_fdatawrite" },
	{ 0x8f234c7, "generic_fillattr" },
	{ 0xcc2efac8, "setattr_prepare" },
	{ 0xfdf8a2d9, "generic_block_bmap" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x770f10b6, "sync_blockdev_nowait" },
	{ 0xeffc7cfc, "make_vfsgid" },
	{ 0xf7d75175, "blk_start_plug" },
	{ 0x79bdd685, "clear_inode" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xc8105c3, "generic_fh_to_dentry" },
	{ 0xfbc4f89e, "io_schedule_timeout" },
	{ 0x631e6fe8, "new_inode" },
	{ 0xb4df2eb7, "mark_buffer_dirty" },
	{ 0x79a8f3b8, "security_inode_setattr" },
	{ 0x7198ee3b, "__find_get_block" },
	{ 0x249d05bd, "filemap_fdatawrite_range" },
	{ 0x1cd04908, "inode_needs_sync" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0x28e77c08, "__blockdev_direct_IO" },
	{ 0x57a9cb7f, "d_make_root" },
	{ 0x3f8443d9, "__bforget" },
	{ 0xd2817a01, "sb_set_blocksize" },
	{ 0x670b79ec, "block_truncate_page" },
	{ 0xea90b15a, "write_dirty_buffer" },
	{ 0xcd1beee5, "sync_filesystem" },
	{ 0x62e4e60e, "fsnotify" },
	{ 0x622cfff6, "current_time" },
	{ 0x69acdf38, "memcpy" },
	{ 0x9f47dfc6, "from_vfsuid" },
	{ 0x19e0a55d, "inode_dio_wait" },
	{ 0x90d04254, "iunique" },
	{ 0x37a0cba, "kfree" },
	{ 0x55364f5c, "cont_write_begin" },
	{ 0x7a0ea43a, "iput" },
	{ 0x4c1c7df7, "pcpu_hot" },
	{ 0x101acfbe, "iter_file_splice_write" },
	{ 0xb64257a, "generic_file_write_iter" },
	{ 0x5c4e81e0, "kmem_cache_create" },
	{ 0x9f44b649, "sync_inode_metadata" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4537a7dc, "make_vfsuid" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0x6453696c, "mnt_want_write_file" },
	{ 0x122c3a7e, "_printk" },
	{ 0xa0528526, "block_invalidate_folio" },
	{ 0xb36e8af7, "__breadahead" },
	{ 0xf4856bb2, "generic_write_end" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xd09a243b, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "9410C7029DFD418F3FB2DEB");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
