#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(dccp_feat_list_purge, "_gpl", "");
KSYMTAB_FUNC(dccp_feat_nn_get, "_gpl", "");
KSYMTAB_FUNC(dccp_feat_signal_nn_change, "_gpl", "");
KSYMTAB_FUNC(dccp_rcv_established, "_gpl", "");
KSYMTAB_FUNC(dccp_rcv_state_process, "_gpl", "");
KSYMTAB_DATA(dccp_death_row, "_gpl", "");
KSYMTAB_FUNC(dccp_create_openreq_child, "_gpl", "");
KSYMTAB_FUNC(dccp_check_req, "_gpl", "");
KSYMTAB_FUNC(dccp_child_process, "_gpl", "");
KSYMTAB_FUNC(dccp_reqsk_send_ack, "_gpl", "");
KSYMTAB_FUNC(dccp_reqsk_init, "_gpl", "");
KSYMTAB_FUNC(dccp_parse_options, "_gpl", "");
KSYMTAB_FUNC(dccp_insert_option, "_gpl", "");
KSYMTAB_FUNC(dccp_sync_mss, "_gpl", "");
KSYMTAB_FUNC(dccp_make_response, "_gpl", "");
KSYMTAB_FUNC(dccp_ctl_make_reset, "_gpl", "");
KSYMTAB_FUNC(dccp_connect, "_gpl", "");
KSYMTAB_FUNC(dccp_send_ack, "_gpl", "");
KSYMTAB_FUNC(dccp_send_sync, "_gpl", "");
KSYMTAB_DATA(dccp_statistics, "_gpl", "");
KSYMTAB_DATA(dccp_orphan_count, "_gpl", "");
KSYMTAB_DATA(dccp_hashinfo, "_gpl", "");
KSYMTAB_FUNC(dccp_set_state, "_gpl", "");
KSYMTAB_FUNC(dccp_done, "_gpl", "");
KSYMTAB_FUNC(dccp_packet_name, "_gpl", "");
KSYMTAB_FUNC(dccp_destruct_common, "_gpl", "");
KSYMTAB_FUNC(dccp_init_sock, "_gpl", "");
KSYMTAB_FUNC(dccp_destroy_sock, "_gpl", "");
KSYMTAB_FUNC(dccp_disconnect, "_gpl", "");
KSYMTAB_FUNC(dccp_poll, "_gpl", "");
KSYMTAB_FUNC(dccp_ioctl, "_gpl", "");
KSYMTAB_FUNC(dccp_setsockopt, "_gpl", "");
KSYMTAB_FUNC(dccp_getsockopt, "_gpl", "");
KSYMTAB_FUNC(dccp_sendmsg, "_gpl", "");
KSYMTAB_FUNC(dccp_recvmsg, "_gpl", "");
KSYMTAB_FUNC(inet_dccp_listen, "_gpl", "");
KSYMTAB_FUNC(dccp_close, "_gpl", "");
KSYMTAB_FUNC(dccp_shutdown, "_gpl", "");
KSYMTAB_FUNC(dccp_timestamp, "_gpl", "");
KSYMTAB_FUNC(dccp_ackvec_parsed_add, "_gpl", "");
KSYMTAB_FUNC(dccp_ackvec_parsed_cleanup, "_gpl", "");

SYMBOL_CRC(dccp_feat_list_purge, 0x4cdd391d, "_gpl");
SYMBOL_CRC(dccp_feat_nn_get, 0x456acb20, "_gpl");
SYMBOL_CRC(dccp_feat_signal_nn_change, 0xdc54f733, "_gpl");
SYMBOL_CRC(dccp_rcv_established, 0x9b196d0d, "_gpl");
SYMBOL_CRC(dccp_rcv_state_process, 0xf21d783e, "_gpl");
SYMBOL_CRC(dccp_death_row, 0x8171199a, "_gpl");
SYMBOL_CRC(dccp_create_openreq_child, 0xae5f31b6, "_gpl");
SYMBOL_CRC(dccp_check_req, 0x89558c4b, "_gpl");
SYMBOL_CRC(dccp_child_process, 0x543e2e37, "_gpl");
SYMBOL_CRC(dccp_reqsk_send_ack, 0xd83a20b6, "_gpl");
SYMBOL_CRC(dccp_reqsk_init, 0x2ec23bda, "_gpl");
SYMBOL_CRC(dccp_parse_options, 0x5c450695, "_gpl");
SYMBOL_CRC(dccp_insert_option, 0xc89a0485, "_gpl");
SYMBOL_CRC(dccp_sync_mss, 0x67678d53, "_gpl");
SYMBOL_CRC(dccp_make_response, 0xf5858c2c, "_gpl");
SYMBOL_CRC(dccp_ctl_make_reset, 0x21ea440b, "_gpl");
SYMBOL_CRC(dccp_connect, 0xd9e35cc1, "_gpl");
SYMBOL_CRC(dccp_send_ack, 0xed866767, "_gpl");
SYMBOL_CRC(dccp_send_sync, 0x776f7e35, "_gpl");
SYMBOL_CRC(dccp_statistics, 0x59814a84, "_gpl");
SYMBOL_CRC(dccp_orphan_count, 0xd75b7072, "_gpl");
SYMBOL_CRC(dccp_hashinfo, 0xd7cdb975, "_gpl");
SYMBOL_CRC(dccp_set_state, 0xd80bcf05, "_gpl");
SYMBOL_CRC(dccp_done, 0x15308be1, "_gpl");
SYMBOL_CRC(dccp_packet_name, 0x86be7924, "_gpl");
SYMBOL_CRC(dccp_destruct_common, 0x75f61554, "_gpl");
SYMBOL_CRC(dccp_init_sock, 0xd3dc72cc, "_gpl");
SYMBOL_CRC(dccp_destroy_sock, 0x394b4134, "_gpl");
SYMBOL_CRC(dccp_disconnect, 0xef24b2c0, "_gpl");
SYMBOL_CRC(dccp_poll, 0xb1946ea1, "_gpl");
SYMBOL_CRC(dccp_ioctl, 0xa6b4fe31, "_gpl");
SYMBOL_CRC(dccp_setsockopt, 0xa2ee1e70, "_gpl");
SYMBOL_CRC(dccp_getsockopt, 0x41f9ae3d, "_gpl");
SYMBOL_CRC(dccp_sendmsg, 0x2d1e8873, "_gpl");
SYMBOL_CRC(dccp_recvmsg, 0x3bdcaa9c, "_gpl");
SYMBOL_CRC(inet_dccp_listen, 0x159e8086, "_gpl");
SYMBOL_CRC(dccp_close, 0x04f171f2, "_gpl");
SYMBOL_CRC(dccp_shutdown, 0x2064fe7d, "_gpl");
SYMBOL_CRC(dccp_timestamp, 0x80993155, "_gpl");
SYMBOL_CRC(dccp_ackvec_parsed_add, 0x182ec2bf, "_gpl");
SYMBOL_CRC(dccp_ackvec_parsed_cleanup, 0x9598d24d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdfb8b106, "inet_put_port" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x122c3a7e, "_printk" },
	{ 0x76a8854a, "inet_csk_init_xmit_timers" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0xdd5518c6, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x86e9445d, "sk_reset_timer" },
	{ 0x74127bc, "kmem_cache_alloc" },
	{ 0xb23e8f7a, "skb_queue_tail" },
	{ 0x99b0889f, "sk_stream_wait_close" },
	{ 0xb7ac82a8, "inet_twsk_hashdance" },
	{ 0x4e547048, "__kmalloc_node_track_caller" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xc308e126, "perf_trace_run_bpf_submit" },
	{ 0x84cff2ef, "init_net" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x8fba3831, "ip6_mtu" },
	{ 0x6c24de2f, "sk_free" },
	{ 0x3120fc01, "sock_wake_async" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x7de914b5, "kfree_skb_reason" },
	{ 0x9eee3bc4, "skb_push" },
	{ 0xbd2cf3ff, "kmem_cache_free" },
	{ 0x9092defd, "proc_doulongvec_minmax" },
	{ 0x6ed4c224, "trace_event_reg" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x64f7fc61, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0xf254e70b, "skb_copy_datagram_iter" },
	{ 0xd10a5b2d, "tcp_stream_memory_free" },
	{ 0xf411cfa6, "skb_checksum" },
	{ 0xfb578fc5, "memset" },
	{ 0xab04bbf3, "sk_wait_data" },
	{ 0x9056760b, "inet_csk_clone_lock" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x440fd528, "skb_unlink" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x64a0371a, "inet_csk_listen_start" },
	{ 0x5be166f4, "sk_free_unlock_clone" },
	{ 0xac3d28ce, "sock_rfree" },
	{ 0x8ae5c73c, "ipv4_mtu" },
	{ 0x7ec8ed9c, "skb_set_owner_w" },
	{ 0x132e515b, "trace_event_buffer_reserve" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb1d16790, "param_ops_bool" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x75937528, "sock_alloc_send_pskb" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x3ac59bac, "skb_clone" },
	{ 0xd66a10cf, "inet_sk_set_state" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xb46e4425, "dst_release" },
	{ 0xe37f5443, "sk_stream_wait_connect" },
	{ 0x62ef75c0, "_copy_from_iter" },
	{ 0x7f8ac004, "inet_csk_destroy_sock" },
	{ 0x47322aef, "sk_stop_timer" },
	{ 0xb805d2b3, "unregister_net_sysctl_table" },
	{ 0x89d3aab1, "inet_rtx_syn_ack" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xe5347ccb, "kmalloc_trace" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xd57bef2a, "param_ops_int" },
	{ 0x3a905efd, "iov_iter_revert" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x11c47cdf, "inet_csk_listen_stop" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x54ec65e6, "__kfree_skb" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xc0e2a384, "kmalloc_caches" },
	{ 0x323f4369, "kmem_cache_destroy" },
	{ 0xd0265e1f, "inet_csk_complete_hashdance" },
	{ 0x8dbce1a0, "release_sock" },
	{ 0x517c6096, "inet_csk_reqsk_queue_drop" },
	{ 0xc7be9bb6, "__inet_twsk_schedule" },
	{ 0x2801a22f, "proc_dointvec_minmax" },
	{ 0x3e0a087f, "inet_hashinfo2_init_mod" },
	{ 0x897b7fed, "inet_bhash2_reset_saddr" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x174e6c46, "inet_ehash_locks_alloc" },
	{ 0xd3bd62be, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xb9bd4bd1, "consume_skb" },
	{ 0x733d3533, "sock_wmalloc" },
	{ 0xd39c048d, "trace_raw_output_prep" },
	{ 0xcf81edce, "skb_dequeue" },
	{ 0x7045dd2a, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0x1147710, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x98046b17, "trace_event_raw_init" },
	{ 0x100bddf8, "proc_dointvec_ms_jiffies" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x4c1c7df7, "pcpu_hot" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0xb77e077a, "bpf_trace_run2" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xa77ade5b, "inet_csk_clear_xmit_timers" },
	{ 0x148653, "vsnprintf" },
	{ 0x5c4e81e0, "kmem_cache_create" },
	{ 0x1da95c83, "inet_twsk_alloc" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x719a0c09, "sk_error_report" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x9e018bd0, "trace_event_buffer_commit" },
	{ 0x1bd3299e, "register_net_sysctl_sz" },
	{ 0x8fe2a93b, "inet_sock_destruct" },
	{ 0xd09a243b, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "E21448C180C1E84D3D39B6A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
