#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ks8851_suspend, "_gpl", "");
KSYMTAB_FUNC(ks8851_resume, "_gpl", "");
KSYMTAB_FUNC(ks8851_probe_common, "_gpl", "");
KSYMTAB_FUNC(ks8851_remove_common, "_gpl", "");

SYMBOL_CRC(ks8851_suspend, 0x60807e2c, "_gpl");
SYMBOL_CRC(ks8851_resume, 0x3e7c7157, "_gpl");
SYMBOL_CRC(ks8851_probe_common, 0x8ab62309, "_gpl");
SYMBOL_CRC(ks8851_remove_common, 0xe6cf295d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdd64e639, "strscpy" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x9e321616, "netif_rx" },
	{ 0xada26abc, "mii_check_link" },
	{ 0xae1319b9, "__netdev_alloc_skb" },
	{ 0xd3bd62be, "skb_put" },
	{ 0x523a96f8, "eth_type_trans" },
	{ 0x9d642782, "netdev_err" },
	{ 0xcbdd7b35, "netif_tx_wake_queue" },
	{ 0x1300e139, "devm_gpiod_get_optional" },
	{ 0x2a6912a1, "gpiod_set_consumer_name" },
	{ 0x7c2c5fa8, "devm_regulator_get" },
	{ 0xf12df2d0, "regulator_enable" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x76375d5, "gpiod_set_value_cansleep" },
	{ 0x262a517d, "_dev_info" },
	{ 0x696d34b4, "mdiobus_alloc_size" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x15904a46, "__mdiobus_register" },
	{ 0x9cffcfb7, "netif_carrier_off" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xf67d4336, "register_netdev" },
	{ 0xc4157c5, "_dev_err" },
	{ 0xad039f9f, "mdiobus_unregister" },
	{ 0xed34f5df, "mdiobus_free" },
	{ 0xdf7b1d53, "regulator_disable" },
	{ 0x74729a85, "netdev_warn" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0xa33b55e9, "unregister_netdev" },
	{ 0xff7a0fdf, "eeprom_93cx6_multiread" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x64fb17ca, "netif_device_attach" },
	{ 0xcbf66323, "eth_validate_addr" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xb5bfefdf, "__dynamic_netdev_dbg" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xcf81edce, "skb_dequeue" },
	{ 0xb9bd4bd1, "consume_skb" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x580de8ba, "netdev_info" },
	{ 0xa4057583, "netif_device_detach" },
	{ 0x961d7fb4, "generic_mii_ioctl" },
	{ 0xe6650b28, "dev_addr_mod" },
	{ 0x78e11bf0, "mii_ethtool_set_link_ksettings" },
	{ 0x1ced74b9, "mii_ethtool_get_link_ksettings" },
	{ 0x63d2ff63, "eeprom_93cx6_wren" },
	{ 0x884deb9d, "eeprom_93cx6_read" },
	{ 0x870b53e9, "eeprom_93cx6_write" },
	{ 0x9a47d9e7, "mii_link_ok" },
	{ 0xaa1dc2e4, "mii_nway_restart" },
	{ 0xa916b694, "strnlen" },
	{ 0xd09a243b, "module_layout" },
};

MODULE_INFO(depends, "mii,libphy,eeprom_93cx6");


MODULE_INFO(srcversion, "A4AB64D5ADB8E139380B616");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
