#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x48c4debf, "eth_commit_mac_addr_change" },
	{ 0x9d642782, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x35859f17, "pskb_expand_head" },
	{ 0x32cc3731, "dev_driver_string" },
	{ 0x9e018bd0, "trace_event_buffer_commit" },
	{ 0xe6650b28, "dev_addr_mod" },
	{ 0x317f7724, "xdp_rxq_info_reg_mem_model" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x523a96f8, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x96965a03, "dma_map_page_attrs" },
	{ 0x23b200cf, "napi_complete_done" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1000e51, "schedule" },
	{ 0xb6e417f8, "skb_checksum_help" },
	{ 0xe26edba8, "netdev_rx_handler_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x50b7d10, "__napi_schedule" },
	{ 0x90940b7d, "eth_prepare_mac_addr_change" },
	{ 0xa916b694, "strnlen" },
	{ 0xa4057583, "netif_device_detach" },
	{ 0x618911fc, "numa_node" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x2c0b0b06, "__free_pages" },
	{ 0x40a9b349, "vzalloc" },
	{ 0xca4341cf, "napi_gro_receive" },
	{ 0x64fb17ca, "netif_device_attach" },
	{ 0x32ea99d8, "netdev_pick_tx" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x1f828ddd, "build_skb" },
	{ 0x7265a29d, "dev_open" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xc308e126, "perf_trace_run_bpf_submit" },
	{ 0xef7d1e06, "__skb_get_hash" },
	{ 0xc4157c5, "_dev_err" },
	{ 0x291ba942, "softnet_data" },
	{ 0x4a76d6dc, "xdp_build_skb_from_frame" },
	{ 0x74019ed2, "vmbus_open" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x574e4a3b, "netif_set_real_num_tx_queues" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0xca416750, "netif_set_real_num_rx_queues" },
	{ 0x7de914b5, "kfree_skb_reason" },
	{ 0xf5b5c9eb, "dev_close" },
	{ 0xa53a2e89, "napi_enable" },
	{ 0x4154fef0, "netdev_upper_dev_unlink" },
	{ 0x6ed4c224, "trace_event_reg" },
	{ 0x56a66849, "vmbus_next_request_id" },
	{ 0x17251662, "free_netdev" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x5b2c7550, "ethtool_op_get_link" },
	{ 0x46a417ca, "vmbus_proto_version" },
	{ 0xabf3375b, "__ethtool_get_link_ksettings" },
	{ 0x7c85295c, "__SCK__tp_func_xdp_exception" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xeff39aad, "flow_keys_dissector" },
	{ 0xcbdd7b35, "netif_tx_wake_queue" },
	{ 0x9c6f8474, "dev_set_alias" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x4a2e0b5, "dev_set_mac_address" },
	{ 0xfb578fc5, "memset" },
	{ 0x5338184f, "ethtool_sprintf" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xd84d5ea8, "hv_pkt_iter_close" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xb0039658, "__pskb_pull_tail" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xbf16a261, "netdev_master_upper_dev_link" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xb5bfefdf, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x41d9605b, "pv_ops" },
	{ 0xb08c458f, "bpf_trace_run3" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xb8058b6e, "__dev_queue_xmit" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x132e515b, "trace_event_buffer_reserve" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2a319d17, "vmbus_set_sc_create_callback" },
	{ 0x65e92a3a, "bpf_prog_add" },
	{ 0xba609f1e, "call_netdevice_notifiers" },
	{ 0x86513921, "dev_set_allmulti" },
	{ 0x82f1d6ed, "alloc_pages" },
	{ 0x1685fa35, "vmbus_request_addr" },
	{ 0xef12297c, "xdp_rxq_info_unreg" },
	{ 0xda94f655, "__vmbus_driver_register" },
	{ 0x5ade06d3, "__xdp_rxq_info_reg" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xa5aeb4a, "netdev_master_upper_dev_get" },
	{ 0x6b620fff, "bpf_prog_inc" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x9cffcfb7, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x3ac59bac, "skb_clone" },
	{ 0xc2541e84, "netif_carrier_on" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xb1f452f, "netdev_rx_handler_register" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x13e68d1f, "netif_set_tso_max_size" },
	{ 0x1aa2f509, "__skb_flow_dissect" },
	{ 0xe5347ccb, "kmalloc_trace" },
	{ 0x52580b6b, "xdp_master_redirect" },
	{ 0xfd78bdf5, "__napi_schedule_irqoff" },
	{ 0x75edf056, "napi_schedule_prep" },
	{ 0x5e500ecc, "napi_consume_skb" },
	{ 0x80c2336a, "napi_disable" },
	{ 0x950a4bde, "dev_kfree_skb_any_reason" },
	{ 0x75818e48, "netdev_notice" },
	{ 0xd57bef2a, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x42d70c97, "__netdev_notify_peers" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xcf3b69b3, "netdev_stats_to_stats64" },
	{ 0x478d27ad, "vmbus_establish_gpadl" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x58617a50, "__dev_change_net_namespace" },
	{ 0xd25cbbcd, "dev_change_flags" },
	{ 0xba54ebd9, "__hv_pkt_iter_next" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x97adb487, "utf8s_to_utf16s" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb05aa4e, "ethtool_op_get_ts_info" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x1a537423, "vmbus_sendpacket_pagebuffer" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x870ac873, "pci_bus_type" },
	{ 0xc0e2a384, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0x580de8ba, "netdev_info" },
	{ 0x60ae9687, "__skb_vlan_pop" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x8f7a6e80, "register_netdevice" },
	{ 0x994713db, "__tracepoint_xdp_exception" },
	{ 0xbe566b37, "alloc_etherdev_mqs" },
	{ 0xc6a9f727, "vmbus_driver_unregister" },
	{ 0x4336fcca, "ucs2_as_utf8" },
	{ 0x8ae3fb17, "__do_once_done" },
	{ 0x98955603, "ethtool_virtdev_set_link_ksettings" },
	{ 0x2ec76761, "dev_set_mtu" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0xbdb2217d, "hv_is_isolation_supported" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x41af6969, "bpf_prog_put" },
	{ 0x77c64ab1, "dev_mc_sync" },
	{ 0xc5a381b0, "param_ops_uint" },
	{ 0xd3bd62be, "skb_put" },
	{ 0x8509454a, "skb_tstamp_tx" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x412b284d, "__napi_alloc_skb" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x79514817, "netdev_update_features" },
	{ 0x19df38c2, "vmalloc_to_page" },
	{ 0xb9bd4bd1, "consume_skb" },
	{ 0x61e7a9b0, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x9e0c711d, "vzalloc_node" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd39c048d, "trace_raw_output_prep" },
	{ 0x58f9b0b0, "bpf_warn_invalid_xdp_action" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x7045dd2a, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x98dbae18, "dev_uc_sync" },
	{ 0x1e39ca0c, "dma_unmap_page_attrs" },
	{ 0x1147710, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x7aff77a3, "__cpu_present_mask" },
	{ 0x1a45041b, "vmbus_sendpacket" },
	{ 0x2ada1b03, "vmbus_teardown_gpadl" },
	{ 0x54062c37, "hv_pkt_iter_first" },
	{ 0x98046b17, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x787528e9, "dev_set_promiscuity" },
	{ 0x4c1c7df7, "pcpu_hot" },
	{ 0x2305446, "xdp_do_redirect" },
	{ 0xcbf66323, "eth_validate_addr" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xb77e077a, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x74729a85, "netdev_warn" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe2964344, "__wake_up" },
	{ 0x22575093, "__netif_napi_del" },
	{ 0x7a5410b, "unregister_netdevice_queue" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x90cf74f2, "vmbus_close" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xd09a243b, "module_layout" },
};

MODULE_INFO(depends, "hv_vmbus");

MODULE_ALIAS("vmbus:635161f83edfc546913ff2d2f965ed0e");

MODULE_INFO(srcversion, "E9F4637AD7BCDE0E28A18CC");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
