#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(fcoe_ctlr_init, "", "");
KSYMTAB_FUNC(fcoe_ctlr_destroy, "", "");
KSYMTAB_FUNC(fcoe_ctlr_link_up, "", "");
KSYMTAB_FUNC(fcoe_ctlr_link_down, "", "");
KSYMTAB_FUNC(fcoe_ctlr_els_send, "", "");
KSYMTAB_FUNC(fcoe_ctlr_recv, "", "");
KSYMTAB_FUNC(fcoe_ctlr_recv_flogi, "", "");
KSYMTAB_FUNC(fcoe_wwn_from_mac, "_gpl", "");
KSYMTAB_FUNC(fcoe_libfc_config, "_gpl", "");
KSYMTAB_FUNC(fcoe_fcf_get_selected, "", "");
KSYMTAB_FUNC(fcoe_ctlr_set_fip_mode, "", "");
KSYMTAB_FUNC(fcoe_link_speed_update, "_gpl", "");
KSYMTAB_FUNC(__fcoe_get_lesb, "_gpl", "");
KSYMTAB_FUNC(fcoe_get_lesb, "_gpl", "");
KSYMTAB_FUNC(fcoe_ctlr_get_lesb, "_gpl", "");
KSYMTAB_FUNC(fcoe_wwn_to_str, "_gpl", "");
KSYMTAB_FUNC(fcoe_validate_vport_create, "_gpl", "");
KSYMTAB_FUNC(fcoe_get_wwn, "_gpl", "");
KSYMTAB_FUNC(fcoe_fc_crc, "_gpl", "");
KSYMTAB_FUNC(fcoe_start_io, "_gpl", "");
KSYMTAB_FUNC(fcoe_clean_pending_queue, "_gpl", "");
KSYMTAB_FUNC(fcoe_check_wait_queue, "_gpl", "");
KSYMTAB_FUNC(fcoe_queue_timer, "_gpl", "");
KSYMTAB_FUNC(fcoe_get_paged_crc_eof, "_gpl", "");
KSYMTAB_FUNC(fcoe_transport_attach, "", "");
KSYMTAB_FUNC(fcoe_transport_detach, "", "");
KSYMTAB_FUNC(fcoe_ctlr_device_add, "_gpl", "");
KSYMTAB_FUNC(fcoe_ctlr_device_delete, "_gpl", "");
KSYMTAB_FUNC(fcoe_fcf_device_delete, "_gpl", "");
KSYMTAB_FUNC(fcoe_fcf_device_add, "_gpl", "");

SYMBOL_CRC(fcoe_ctlr_init, 0xdcebbc9e, "");
SYMBOL_CRC(fcoe_ctlr_destroy, 0x878e5b3a, "");
SYMBOL_CRC(fcoe_ctlr_link_up, 0x58b8a237, "");
SYMBOL_CRC(fcoe_ctlr_link_down, 0x2e285aa6, "");
SYMBOL_CRC(fcoe_ctlr_els_send, 0x32fb52da, "");
SYMBOL_CRC(fcoe_ctlr_recv, 0x7be25e3f, "");
SYMBOL_CRC(fcoe_ctlr_recv_flogi, 0xab3e7491, "");
SYMBOL_CRC(fcoe_wwn_from_mac, 0xc3f30cc0, "_gpl");
SYMBOL_CRC(fcoe_libfc_config, 0x371df4d4, "_gpl");
SYMBOL_CRC(fcoe_fcf_get_selected, 0x83fa9b20, "");
SYMBOL_CRC(fcoe_ctlr_set_fip_mode, 0x2864b354, "");
SYMBOL_CRC(fcoe_link_speed_update, 0x6a121041, "_gpl");
SYMBOL_CRC(__fcoe_get_lesb, 0x5a324f2a, "_gpl");
SYMBOL_CRC(fcoe_get_lesb, 0xcd5680fb, "_gpl");
SYMBOL_CRC(fcoe_ctlr_get_lesb, 0x348b90cd, "_gpl");
SYMBOL_CRC(fcoe_wwn_to_str, 0xf167cb7a, "_gpl");
SYMBOL_CRC(fcoe_validate_vport_create, 0x279ff386, "_gpl");
SYMBOL_CRC(fcoe_get_wwn, 0xf83c134a, "_gpl");
SYMBOL_CRC(fcoe_fc_crc, 0x844387c9, "_gpl");
SYMBOL_CRC(fcoe_start_io, 0x5a425590, "_gpl");
SYMBOL_CRC(fcoe_clean_pending_queue, 0x90a78810, "_gpl");
SYMBOL_CRC(fcoe_check_wait_queue, 0x2b3b3b29, "_gpl");
SYMBOL_CRC(fcoe_queue_timer, 0xbac58840, "_gpl");
SYMBOL_CRC(fcoe_get_paged_crc_eof, 0xf2625a19, "_gpl");
SYMBOL_CRC(fcoe_transport_attach, 0x7082703a, "");
SYMBOL_CRC(fcoe_transport_detach, 0x83c593f0, "");
SYMBOL_CRC(fcoe_ctlr_device_add, 0xcb549a63, "_gpl");
SYMBOL_CRC(fcoe_ctlr_device_delete, 0x5260d826, "_gpl");
SYMBOL_CRC(fcoe_fcf_device_delete, 0xeb710423, "_gpl");
SYMBOL_CRC(fcoe_fcf_device_add, 0xcb683dfd, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x9eee3bc4, "skb_push" },
	{ 0x9166fada, "strncpy" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0x37b4cdad, "fc_lport_set_local_id" },
	{ 0xfe2be6e4, "fc_exch_recv" },
	{ 0x1a9a433c, "prandom_u32_state" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xabf3375b, "__ethtool_get_link_ksettings" },
	{ 0x844dd7f8, "device_register" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xd38038d8, "fc_vport_id_lookup" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xf17b2c70, "fc_elsct_init" },
	{ 0xfb578fc5, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x1c536e24, "fc_disc_config" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xb0039658, "__pskb_pull_tail" },
	{ 0x4c2ec695, "fc_fcp_init" },
	{ 0xae1319b9, "__netdev_alloc_skb" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x11e93915, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0xb8058b6e, "__dev_queue_xmit" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x82f1d6ed, "alloc_pages" },
	{ 0x537c1bea, "__folio_put" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x3879a319, "dev_get_by_name" },
	{ 0x3ac59bac, "skb_clone" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xf74c31c7, "fc_seq_els_rsp_send" },
	{ 0xb0ddd5a1, "fc_rport_flush_queue" },
	{ 0xe5347ccb, "kmalloc_trace" },
	{ 0xd57bef2a, "param_ops_int" },
	{ 0xbebb41af, "fc_rport_create" },
	{ 0x3cde31ce, "_dev_printk" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xc0e2a384, "kmalloc_caches" },
	{ 0xb63446ff, "fc_exch_init" },
	{ 0x9858f364, "get_random_u8" },
	{ 0x38ee4522, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc59579bc, "fc_linkup" },
	{ 0x9063d06b, "fc_rport_lookup" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x3ff72089, "dev_get_stats" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xc5a381b0, "param_ops_uint" },
	{ 0xd3bd62be, "skb_put" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x482c9458, "dev_set_name" },
	{ 0xb9bd4bd1, "consume_skb" },
	{ 0x30324eb5, "fc_lport_init" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9d50ed7e, "fc_rport_destroy" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x41076892, "device_unregister" },
	{ 0xcf81edce, "skb_dequeue" },
	{ 0x37a0cba, "kfree" },
	{ 0x7b30f6b7, "fc_rport_logoff" },
	{ 0x4c1c7df7, "pcpu_hot" },
	{ 0xd8981aee, "__put_devmap_managed_page_refs" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x35c33e7, "fc_disc_init" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x51d0a610, "fc_rport_login" },
	{ 0xcac66039, "skb_queue_purge_reason" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x122c3a7e, "_printk" },
	{ 0xcb024dd1, "fc_linkdown" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xfd639f29, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xb23e8f7a, "skb_queue_tail" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xbb583bcd, "fc_lport_reset" },
	{ 0xc19bcfc2, "bus_unregister" },
	{ 0x84cff2ef, "init_net" },
	{ 0xd645eb2e, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x7de914b5, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xd09a243b, "module_layout" },
};

MODULE_INFO(depends, "libfc");


MODULE_INFO(srcversion, "A483AEBD89FF2F24E96890B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
