#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(jbd2__journal_start, "", "");
KSYMTAB_FUNC(jbd2_journal_start, "", "");
KSYMTAB_FUNC(jbd2_journal_free_reserved, "", "");
KSYMTAB_FUNC(jbd2_journal_start_reserved, "", "");
KSYMTAB_FUNC(jbd2__journal_restart, "", "");
KSYMTAB_FUNC(jbd2_journal_restart, "", "");
KSYMTAB_FUNC(jbd2_submit_inode_data, "", "");
KSYMTAB_FUNC(jbd2_wait_inode_data, "", "");
KSYMTAB_FUNC(jbd2_journal_extend, "", "");
KSYMTAB_FUNC(jbd2_journal_stop, "", "");
KSYMTAB_FUNC(jbd2_journal_lock_updates, "", "");
KSYMTAB_FUNC(jbd2_journal_unlock_updates, "", "");
KSYMTAB_FUNC(jbd2_journal_get_write_access, "", "");
KSYMTAB_FUNC(jbd2_journal_get_create_access, "", "");
KSYMTAB_FUNC(jbd2_journal_get_undo_access, "", "");
KSYMTAB_FUNC(jbd2_journal_set_triggers, "", "");
KSYMTAB_FUNC(jbd2_journal_dirty_metadata, "", "");
KSYMTAB_FUNC(jbd2_journal_forget, "", "");
KSYMTAB_FUNC(jbd2_journal_flush, "", "");
KSYMTAB_FUNC(jbd2_journal_revoke, "", "");
KSYMTAB_FUNC(jbd2_journal_init_dev, "", "");
KSYMTAB_FUNC(jbd2_journal_init_inode, "", "");
KSYMTAB_FUNC(jbd2_journal_check_used_features, "", "");
KSYMTAB_FUNC(jbd2_journal_check_available_features, "", "");
KSYMTAB_FUNC(jbd2_journal_set_features, "", "");
KSYMTAB_FUNC(jbd2_journal_load, "", "");
KSYMTAB_FUNC(jbd2_journal_destroy, "", "");
KSYMTAB_FUNC(jbd2_journal_abort, "", "");
KSYMTAB_FUNC(jbd2_journal_errno, "", "");
KSYMTAB_FUNC(jbd2_journal_ack_err, "", "");
KSYMTAB_FUNC(jbd2_journal_clear_err, "", "");
KSYMTAB_FUNC(jbd2_log_wait_commit, "", "");
KSYMTAB_FUNC(jbd2_journal_start_commit, "", "");
KSYMTAB_FUNC(jbd2_journal_force_commit_nested, "", "");
KSYMTAB_FUNC(jbd2_journal_wipe, "", "");
KSYMTAB_FUNC(jbd2_journal_blocks_per_page, "", "");
KSYMTAB_FUNC(jbd2_journal_invalidate_folio, "", "");
KSYMTAB_FUNC(jbd2_journal_try_to_free_buffers, "", "");
KSYMTAB_FUNC(jbd2_journal_force_commit, "", "");
KSYMTAB_FUNC(jbd2_journal_inode_ranged_write, "", "");
KSYMTAB_FUNC(jbd2_journal_inode_ranged_wait, "", "");
KSYMTAB_FUNC(jbd2_journal_finish_inode_data_buffers, "", "");
KSYMTAB_FUNC(jbd2_journal_init_jbd_inode, "", "");
KSYMTAB_FUNC(jbd2_journal_release_jbd_inode, "", "");
KSYMTAB_FUNC(jbd2_journal_begin_ordered_truncate, "", "");
KSYMTAB_DATA(jbd2_inode_cache, "", "");
KSYMTAB_FUNC(jbd2_trans_will_send_data_barrier, "", "");
KSYMTAB_FUNC(jbd2_fc_begin_commit, "", "");
KSYMTAB_FUNC(jbd2_fc_end_commit, "", "");
KSYMTAB_FUNC(jbd2_fc_end_commit_fallback, "", "");
KSYMTAB_FUNC(jbd2_transaction_committed, "", "");
KSYMTAB_FUNC(jbd2_complete_transaction, "", "");
KSYMTAB_FUNC(jbd2_fc_get_buf, "", "");
KSYMTAB_FUNC(jbd2_fc_wait_bufs, "", "");
KSYMTAB_FUNC(jbd2_fc_release_bufs, "", "");
KSYMTAB_FUNC(jbd2_journal_update_sb_errno, "", "");
KSYMTAB_FUNC(jbd2_journal_clear_features, "", "");
KSYMTAB_FUNC(jbd2_journal_grab_journal_head, "", "");
KSYMTAB_FUNC(jbd2_journal_put_journal_head, "", "");

SYMBOL_CRC(jbd2__journal_start, 0xab58683a, "");
SYMBOL_CRC(jbd2_journal_start, 0x1a7474e3, "");
SYMBOL_CRC(jbd2_journal_free_reserved, 0x247d7747, "");
SYMBOL_CRC(jbd2_journal_start_reserved, 0x6d453e06, "");
SYMBOL_CRC(jbd2__journal_restart, 0xd8a90db7, "");
SYMBOL_CRC(jbd2_journal_restart, 0x481dc05d, "");
SYMBOL_CRC(jbd2_submit_inode_data, 0xc3e58213, "");
SYMBOL_CRC(jbd2_wait_inode_data, 0xec3a6c3b, "");
SYMBOL_CRC(jbd2_journal_extend, 0x1e53b959, "");
SYMBOL_CRC(jbd2_journal_stop, 0x9a4ffb6d, "");
SYMBOL_CRC(jbd2_journal_lock_updates, 0x21e4e3a0, "");
SYMBOL_CRC(jbd2_journal_unlock_updates, 0xd5158fa8, "");
SYMBOL_CRC(jbd2_journal_get_write_access, 0x6c24ed7e, "");
SYMBOL_CRC(jbd2_journal_get_create_access, 0x34baf94f, "");
SYMBOL_CRC(jbd2_journal_get_undo_access, 0xb4a9befd, "");
SYMBOL_CRC(jbd2_journal_set_triggers, 0x81f98423, "");
SYMBOL_CRC(jbd2_journal_dirty_metadata, 0x19c23476, "");
SYMBOL_CRC(jbd2_journal_forget, 0x1181f329, "");
SYMBOL_CRC(jbd2_journal_flush, 0xa83bed9e, "");
SYMBOL_CRC(jbd2_journal_revoke, 0xa736728f, "");
SYMBOL_CRC(jbd2_journal_init_dev, 0x84ef38d8, "");
SYMBOL_CRC(jbd2_journal_init_inode, 0x82b0ee05, "");
SYMBOL_CRC(jbd2_journal_check_used_features, 0xc70052bc, "");
SYMBOL_CRC(jbd2_journal_check_available_features, 0xc03869b7, "");
SYMBOL_CRC(jbd2_journal_set_features, 0xab9172c8, "");
SYMBOL_CRC(jbd2_journal_load, 0x8419eb92, "");
SYMBOL_CRC(jbd2_journal_destroy, 0x85e4fe1c, "");
SYMBOL_CRC(jbd2_journal_abort, 0x5f955fb7, "");
SYMBOL_CRC(jbd2_journal_errno, 0x3ddc2da6, "");
SYMBOL_CRC(jbd2_journal_ack_err, 0xe473eb26, "");
SYMBOL_CRC(jbd2_journal_clear_err, 0x81834f2b, "");
SYMBOL_CRC(jbd2_log_wait_commit, 0xd05336a6, "");
SYMBOL_CRC(jbd2_journal_start_commit, 0x1b494616, "");
SYMBOL_CRC(jbd2_journal_force_commit_nested, 0x7d307821, "");
SYMBOL_CRC(jbd2_journal_wipe, 0x06bf503f, "");
SYMBOL_CRC(jbd2_journal_blocks_per_page, 0x4d55a85d, "");
SYMBOL_CRC(jbd2_journal_invalidate_folio, 0xf46d93d0, "");
SYMBOL_CRC(jbd2_journal_try_to_free_buffers, 0xc625ff29, "");
SYMBOL_CRC(jbd2_journal_force_commit, 0xc6a045e8, "");
SYMBOL_CRC(jbd2_journal_inode_ranged_write, 0x13b193b3, "");
SYMBOL_CRC(jbd2_journal_inode_ranged_wait, 0x401beff9, "");
SYMBOL_CRC(jbd2_journal_finish_inode_data_buffers, 0xea94aa24, "");
SYMBOL_CRC(jbd2_journal_init_jbd_inode, 0x143359da, "");
SYMBOL_CRC(jbd2_journal_release_jbd_inode, 0x02a1b3a0, "");
SYMBOL_CRC(jbd2_journal_begin_ordered_truncate, 0xdfab6485, "");
SYMBOL_CRC(jbd2_inode_cache, 0xacd81eb3, "");
SYMBOL_CRC(jbd2_trans_will_send_data_barrier, 0xa9c12e23, "");
SYMBOL_CRC(jbd2_fc_begin_commit, 0x0e4851c7, "");
SYMBOL_CRC(jbd2_fc_end_commit, 0x89b2022d, "");
SYMBOL_CRC(jbd2_fc_end_commit_fallback, 0xeda55960, "");
SYMBOL_CRC(jbd2_transaction_committed, 0x046d0a87, "");
SYMBOL_CRC(jbd2_complete_transaction, 0x5f1e355c, "");
SYMBOL_CRC(jbd2_fc_get_buf, 0x19d9d992, "");
SYMBOL_CRC(jbd2_fc_wait_bufs, 0x0f54ee6d, "");
SYMBOL_CRC(jbd2_fc_release_bufs, 0x7d578835, "");
SYMBOL_CRC(jbd2_journal_update_sb_errno, 0x1d2a9afc, "");
SYMBOL_CRC(jbd2_journal_clear_features, 0x6192338e, "");
SYMBOL_CRC(jbd2_journal_grab_journal_head, 0x1046c953, "");
SYMBOL_CRC(jbd2_journal_put_journal_head, 0xad55133a, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9e018bd0, "trace_event_buffer_commit" },
	{ 0x50fad434, "round_jiffies_up" },
	{ 0xcfa94786, "crypto_destroy_tfm" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x64a31445, "mutex_lock_io" },
	{ 0xd73653c4, "freezer_active" },
	{ 0x122c3a7e, "_printk" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0xc9d71594, "try_to_free_buffers" },
	{ 0x641a4f5e, "sync_blockdev" },
	{ 0xb63f54a8, "free_buffer_head" },
	{ 0x4fb473d3, "unregister_shrinker" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x74127bc, "kmem_cache_alloc" },
	{ 0x87ba3264, "blk_finish_plug" },
	{ 0xa02aa74a, "__cond_resched_lock" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xad9901ae, "bit_waitqueue" },
	{ 0x58e3306d, "bit_wait_io" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xe0cf5f4, "__brelse" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xc308e126, "perf_trace_run_bpf_submit" },
	{ 0x5240ee7, "percpu_counter_batch" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x5b2c5cce, "__bh_read_batch" },
	{ 0x7eb4742d, "bpf_trace_run5" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0x3958f0f1, "__wait_on_buffer" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xbd2cf3ff, "kmem_cache_free" },
	{ 0xed1d582d, "__bh_read" },
	{ 0x6ed4c224, "trace_event_reg" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x2997970, "blkdev_issue_zeroout" },
	{ 0x2c63cf04, "filemap_fdatawait_range_keep_errors" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x1b41ad67, "crypto_shash_update" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x7d639009, "freezing_slow_path" },
	{ 0xc0eb6e74, "bpf_trace_run1" },
	{ 0xfd3cb9f4, "proc_mkdir" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xef669fc3, "kthread_create_on_node" },
	{ 0xb08c458f, "bpf_trace_run3" },
	{ 0xae83274c, "seq_read" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x3b3bccb1, "unlock_buffer" },
	{ 0x117557d4, "__getblk_gfp" },
	{ 0x132e515b, "trace_event_buffer_reserve" },
	{ 0x21bdb523, "errseq_check_and_advance" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc622556f, "prepare_to_wait_exclusive" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xca431c05, "wake_bit_function" },
	{ 0x537c1bea, "__folio_put" },
	{ 0xfb30c659, "remove_proc_entry" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb6ca0fce, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xae26b635, "__lock_buffer" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xfedbc706, "truncate_inode_pages_range" },
	{ 0x13f6c5c3, "blkdev_issue_flush" },
	{ 0x8c1d5647, "folio_set_bh" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x37101b04, "end_buffer_write_sync" },
	{ 0xa2059cd4, "seq_open" },
	{ 0xe5347ccb, "kmalloc_trace" },
	{ 0x14480300, "bmap" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x6a460dc5, "schedule_hrtimeout" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xc4335d03, "crypto_alloc_shash" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x7410aba2, "strreplace" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xc0e2a384, "kmalloc_caches" },
	{ 0x323f4369, "kmem_cache_destroy" },
	{ 0x46628d0e, "blkdev_issue_discard" },
	{ 0x484f6edf, "ktime_get_coarse_real_ts64" },
	{ 0xa7d5cbff, "bh_uptodate_or_lock" },
	{ 0xf7d75175, "blk_start_plug" },
	{ 0x960e12ee, "bpf_trace_run4" },
	{ 0x916aefbe, "__percpu_counter_init_many" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x227d1ae5, "folio_unlock" },
	{ 0xf6623c4d, "seq_release" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xd39c048d, "trace_raw_output_prep" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x5b063965, "bpf_trace_run6" },
	{ 0xb4df2eb7, "mark_buffer_dirty" },
	{ 0x7198ee3b, "__find_get_block" },
	{ 0x7045dd2a, "__trace_trigger_soft_disabled" },
	{ 0x249d05bd, "filemap_fdatawrite_range" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x1147710, "trace_event_printf" },
	{ 0x3f8443d9, "__bforget" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xea90b15a, "write_dirty_buffer" },
	{ 0x7d6d6246, "register_shrinker" },
	{ 0xdb2e4f7d, "percpu_counter_destroy_many" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x4df02057, "crc32_be" },
	{ 0x98046b17, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x7a0ea43a, "iput" },
	{ 0x4c1c7df7, "pcpu_hot" },
	{ 0x390d857d, "seq_lseek" },
	{ 0x4c064d49, "blockdev_superblock" },
	{ 0xee1d8e60, "proc_create_data" },
	{ 0xb77e077a, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x5c4e81e0, "kmem_cache_create" },
	{ 0xe95daec6, "bpf_trace_run8" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xc8c0cc20, "submit_bh" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3bc9661f, "alloc_buffer_head" },
	{ 0xbe5f9c4c, "wake_up_process" },
	{ 0xd09a243b, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "76F201F1F3AF3A67E833B7D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
